Summary: IBM Advanced System Management X input driver
Name: ibmasm-xinput
Version: 2.1
Release: 1.el4
License: MIT
Group: User Interface/X Hardware Support
URL: http://sourceforge.net/projects/ibmasm/
Source0: http://dl.sourceforge.net/sourceforge/ibmasm/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%define _x11dir		/usr/X11R6
%define _x11sdkdir	%{_x11dir}/%{_lib}/Server/include
%define moduledir	%{_x11dir}/%{_lib}/modules
%define driverdir	%{moduledir}/input/
BuildRequires:	xorg-x11-sdk
Requires:	xorg-x11, ibmasm >= 3.0-7

# The ibmasm module is only enabled for i386 because the ASM adapter was
# never shipped in machines that support 64-bit. 
ExclusiveArch: %{ix86}

%description
This package contains the X11 input driver to allow the IBM Advanced
System Management (RSA 1 Service Processor) adapter to control the 
X mouse and keyboard events.

%prep
%setup -q

%build
libtoolize --copy --force
aclocal
autoconf
automake --foreign
%configure --with-xorg-sdk-dir=%{_x11sdkdir} --with-xorg-module-dir=%{moduledir}
export CFLAGS="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{driverdir}/ibmasm_drv.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING NEWS README INSTALL
%{driverdir}/ibmasm_drv.so

%changelog
* Wed May 30 2007 - konradrzeszutek@sourceforge.net - 2.1-1
- Fixed warnings/errors/suggestions tagged by Jarod Wilson.

* Fri Mar 3 2007 - konradrzeszutek@sourceforge.net - 2.0-3
- Fixed a tab/spaces warning tagged by rpmlint.

* Fri Jan 12 2007 - konradrzeszutek@sourceforge.net - 2.0-2
- Lots of macro work.
- Fixing Requires mismatch.

* Thu Jul 13 2006 - konradrzeszutek@sourceforge.net - 2.0-1
- First release.
